# Struct Visualization

![](../assets/structvis1.JPG)
```c
struct SomeStruct mySqd = {90, 'C', 0.5, charArray};
```

![](../assets/structvis2.JPG)
```c
struct ForSale theGodfather = {addArray, 1114.58, 2400, 2.675};
```

### DEMONSTRATION LAB - STRING_SPLITTER

Struct

“String Splitter Test Struct”

* Define a struct to test split_the_string() from Performance Lab I.5.a-3
```c
char * split_the_string(char * string_ptr, char delimiter);
```
* Test input should include:
    * Input string
    * Delimiter
    * Expected return value
* Only Address Arithmetic is permitted
* Write one test to cover every requirement
* Print the human-readable results

---

### COMPLETE PERFORMANCE LAB - surfinbird
